apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.appName }}
  labels:
    app: {{ .Values.appName }}
  namespace: {{ .Values.namespace }}
spec:
  hostNetwork: true
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: {{ .Values.appName }}
  template:
    metadata:
      labels:
        app: {{ .Values.appName }}
    spec:
      containers:
        - name: {{ .Values.appName }}
          image: "{{ .Values.image.name }}:{{ .Values.image.tag }}"
          imagePullPolicy: {{ .Values.image.imagePullPolicy }}
          resources:
            limits:
              cpu: {{ .Values.resources.maxCPU }} # Maximum CPU limit (e.g., 500 milli CPU)
              memory: {{ .Values.resources.maxMemory }} # Maximum memory limit (e.g., 512 MiB)
            requests:
              cpu: {{ .Values.resources.minCPU }} # Minimum CPU request (e.g., 200 milli CPU)
              memory: {{ .Values.resources.minMemory }} # Minimum memory request (e.g., 256 MiB)
          env:
  {{- range $key, $value := .Values.envValues }}
              - name: {{ $key }}
                value: {{ $value | quote }}
  {{- end }}
